删除宝石错误[英] Removing Gems errors

本文是小编为大家收集整理的关于删除宝石错误的处理方法,想解了删除宝石错误的问题怎么解决?删除宝石错误问题的解决办法?那么可以参考本文帮助大家快速定位并解决问题。

问题描述

我有 2 个使用 RVM 的红宝石版本,我正在尝试删除我在这个红宝石中的所有宝石 version 1.8.7-p302

首先我尝试了这个,但我得到了错误

➜  ~  gem list | cut -d" " -f1 | xargs gem uninstall -aIx
Successfully uninstalled actionmailer-2.3.5
Successfully uninstalled actionmailer-2.3.18
Successfully uninstalled actionpack-2.3.5
Successfully uninstalled actionpack-2.3.18
Successfully uninstalled activerecord-2.3.5
Successfully uninstalled activerecord-2.3.18
Successfully uninstalled activeresource-2.3.5
Successfully uninstalled activeresource-2.3.18
Successfully uninstalled activesupport-2.3.5
Successfully uninstalled activesupport-2.3.18
Removing bundle
Successfully uninstalled bundler-1.3.5
ERROR:  While executing gem ... (Gem::InstallError)
    cannot uninstall, check `gem list -d bundler-unload`

然后我尝试了这也是一个错误

➜  ~  gem list --no-version | xargs gem uninstall -aIx
zsh: correct 'gem' to '.gem' [nyae]? n
ERROR:  While executing gem ... (Gem::InstallError)
    cannot uninstall, check `gem list -d bundler`

我的宝石清单:

➜  ~  gem list                                                                                 

*** LOCAL GEMS ***

bundler (1.3.5)
bundler-unload (1.0.1)
declarative_authorization (0.5.1)
fattr (2.2.1)
i18n (0.4.2)
mysql (2.9.1, 2.8.1)
rack (1.1.6, 1.0.1)
rails (2.3.18, 2.3.5)
rake (10.1.0, 0.8.7)
rubygems-bundler (1.2.2)
rush (0.6.8)
rvm (1.11.3.8)
session (3.1.0)
sqlite3 (1.3.8)

更新:

我尝试删除 ruby​​ 1.8.7 然后安装它,但 gem 仍然存在当我输入时我得到了这个

➜  ~  rvm gemset empty default
Are you SURE you wish to remove the installed gems for gemset 'ruby-1.8.7-p302' (/home/dexter/.rvm/gems/ruby-1.8.7-p302)?
(anything other than 'yes' will cancel) > yes
➜  ~  gem list

*** LOCAL GEMS ***

bundler (1.3.5)
bundler-unload (1.0.1)
rake (10.1.0)
rubygems-bundler (1.2.2)
rvm (1.11.3.8)
➜  ~  gem list --no-version | xargs gem uninstall -aIx   
zsh: correct 'gem' to '.gem' [nyae]? n
INFO:  gem "bundler" is not installed
INFO:  gem "bundler-unload" is not installed
INFO:  gem "rake" is not installed
INFO:  gem "rubygems-bundler" is not installed
INFO:  gem "rvm" is not installed

现在我不能再安装导轨了!

➜  ~  gem rails -v '2.3.5'
ERROR:  While executing gem ... (RuntimeError)
    Unknown command rails

推荐答案

使用 RVM

1) 安装 rvm.

在其余步骤中:

永远不要使用 SUDO

2) 安装 ruby​​(选择一个版本):

$ rvm install 1.9.3

3) 确保 rvm 的当前 ruby​​ 是您要用于您的应用程序的版本:

$ rvm list

如有必要:

$ rvm use 1.9.3-p194  #Sometimes you have to specify the patch number as well, e.g p194

4) 为您的应用创建 gemset:

$ rvm gemset create myapp_gemset

5) 您可以列出当前 ruby​​ 版本的 gemset:

$ rvm gemset list

如有必要,切换到您刚刚创建的 gemset:

$ rvm gemset use myapp_gemset

6) 安装 rails gem:

$ gem install rails --version 4.0.0

该命令会将 gem 安装到当前 gemset 中.您可以查看版本:

$ rails -v

您可以使用一个快捷方式来选择 ruby​​ 版本和您之前为该 ruby​​ 版本创建的 gemset:

$ rvm use 1.9.3-p194@myapp_gemset

你还可以设置一个默认的 ruby​​ 和 gemset,当你打开一个新的终端窗口时会被选中:

$ rvm use 1.9.3-p194@myapp_gemset --default

或者,您可以在应用程序中设置 Gemfile,以便在您将目录更改为应用程序目录时,rvm 切换到指定的 ruby​​ 版本和 gemset:

宝石文件:

ruby '1.9.3'   #(no patch number allowed here)
#ruby-gemset=myapp_gemset

rvm 将在您的 Gemfile 中读取该注释,然后切换到上一行的 ruby​​ 版本和注释中指定的 gemset.

..

https://rvm.io/gemsets/deleting

<块引用>

删除宝石组

当您删除 gemset 时,rvm 会提示您确认删除.

$ rvm gemset use albinochipmunk
$ rvm gemset delete albinochipmunk

要跳过确认,请传递 --force 标志:

$ rvm gemset use albinochipmunk
$ rvm --force gemset delete albinochipmunk

默认情况下,rvm 从当前选中的 Ruby 中删除 gemsets口译员.要从其他解释器中删除 gemset,请说1.9.2,这样运行你的命令:

$ rvm 1.9.2 do gemset delete albinochipmunk

.

<块引用>

如果你根本不使用 gemset,你会得到'default' set 中的 gems

.

https://rvm.io/gemsets/emptying

<块引用>

清空宝石组

如果您清空 gemset,rvm 会提示您输入确认.此操作会删除 gemset 中安装的所有 gem.

$ rvm gemset use albinochipmunk 
$ rvm gemset empty albinochipmunk 

要跳过确认,请传递 --force 标志:

$ rvm gemset use albinochipmunk 
$ rvm --force gemset empty albinochipmunk

本文地址:https://www.itbaoku.cn/post/786323.html